# Generate list of levels and unique values

Source: `R/transform.R`
`level_list.Rd`

Generate list of levels and unique values

    level_list(dataset, ...)

## Arguments

dataset

  A data.frame

...

  Unquoted variable names to evaluate

## Examples

    data.frame(a = c(rep("a", 5), rep("b", 5)), b = c(rep(1, 5), 6:10)) %>% level_list()
    #> $a
    #> [1] "a" "b"
    #>
    #> $b
    #> [1]  1  6  7  8  9 10
    #>
    level_list(mtcars, mpg, cyl)
    #> $mpg
    #>  [1] 21.0 22.8 21.4 18.7 18.1 14.3 24.4 19.2 17.8 16.4 17.3 15.2 10.4 14.7 32.4
    #> [16] 30.4 33.9 21.5 15.5 13.3 27.3 26.0 15.8 19.7 15.0
    #>
    #> $cyl
    #> [1] 6 4 8
    #>